use std::path;

use anyhow::Result;
use clap::Parser;

/// Generate register interface from register map xml.
#[derive(Parser, Debug)]
#[command(version, about)]
struct Args {
    /// Input XML register map.
    xml: path::PathBuf,
    /// Output directory.
    out: path::PathBuf,
}

fn main() -> Result<()> {
    env_logger::init();
    log::debug!("logger enabled");
    let args = Args::parse();
    log::debug!("args: {:?}", args);

    endcap_sl_software_ri_generator::generate(&args.xml, &args.out)?;

    Ok(())
}
